org.eclipse.jetty.util.resource

## Interface ResourceFactory

- All Known Implementing Classes:
    DefaultServlet, FileResource, JarResource, Resource, ResourceCollection, URLResource

      public interface ResourceFactory

  ResourceFactory.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `getResource(String path)` Get a resource for a path.

- - ### Method Detail

    - #### getResource

          Resource getResource(String path)

      Get a resource for a path.
      Parameters:
        `path` - The path to the resource
      Returns:
        The resource or null

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.